using MemoryPack;

namespace Insight.Domain.Network.Agent.Messages;

[MemoryPackable]
public partial class Mainboard : IMessage
{
    [MemoryPackOrder(0)]
    public string? Manufacturer { get; set; }

    [MemoryPackOrder(1)]
    public string? Model { get; set; }

    [MemoryPackOrder(2)]
    public string? Serial { get; set; }

    [MemoryPackOrder(3)]
    public string? BiosManufacturer { get; set; }

    [MemoryPackOrder(4)]
    public string? BiosVersion { get; set; }

    [MemoryPackOrder(5)]
    public DateTime? BiosDate { get; set; }
}